Get Customer Category
curl --request GET \
--url https://api.jtl-cloud.com/erp/customerCategories/{customercategoryId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/customerCategories/{customercategoryId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/customerCategories/{customercategoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Name": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}customerCategory
Get Customer Category
deprecated
Get a specific customercategory
GET
/
customerCategories
/
{customercategoryId}
Get Customer Category
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the Customercategory to return.
Was this page helpful?
⌘I